Bug 210102 - Installer exits with unhandled exception when invalid network settings given
Installer exits with unhandled exception when invalid network settings given
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-09 20:42 EDT by Hayden Metz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-10 16:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayden Metz 2006-10-09 20:42:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.7) Gecko/20060909 Firefox/1.5.0.7

Description of problem:
If either the IPv4 address or subnet bits fields are invalid then anaconda exits with an unhandled exception.  The python traceback and exception text are both correct and useful, but the installer should catch such exceptions, inform the user of the problem, and allow the user to correct the mistake.

Problem was seen when either field was left blank, or if the subnet mask bits field was not a single integer between 0 and 128 (I tried to put in the mask in IP address form, e.g. 255.255.255.0, insted of 24).

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Select check box to specify an IPv4 address (as opposed to using DHCP)
2.Leave either IP address or subnet mask bits fields blank
3.Press Next

Actual Results:
Anaconda reported an unhandled exception and showed the python callback trace, then prepared the system to be rebooted.

Expected Results:
Anaconda should have shown a dialog with the exception text, then returned me to that window so I could enter a valid address/subnet.

Additional info:
Comment 1 David Cantrell 2006-10-10 16:44:43 EDT
This is fixed in rawhide after FC6 Test 3 went out.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.